# H501_UsageConfirmation Class Reference

`#include <h501.h>`

Inheritance diagram for H501_UsageConfirmation:

List of all members.

## Public Member Functions

| H501_UsageConfirmation (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
PObject * | Clone () const

## Constructor & Destructor Documentation

H501_UsageConfirmation::H501_UsageConfirmation | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_UsageConfirmation::GetDataLength | ( |  | ) | const

PBoolean H501_UsageConfirmation::Decode | ( | PASN_Stream & | strm | ) |

void H501_UsageConfirmation::Encode | ( | PASN_Stream & | strm | ) | const

void H501_UsageConfirmation::PrintOn | ( | ostream & | strm | ) | const

PObject* H501_UsageConfirmation::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h